#!/usr/bin/env python
# -*- coding: utf-8 -*-


from web.models import PublicSentimentComment
from web.manager.log_manager import LogManager
from web.service.public_sentiment_comment_service import PublicSentimentCommentService

Logger = LogManager.get_logger(__name__)


class CollectorPipeline(object):

    def __init__(self):
        super().__init__()

    def process_item(self, item, spider):
        """
        将数据存储在数据库中
        """

        public_sentiment_comment = PublicSentimentComment()
        public_sentiment_comment.content = item['sensitive_word']

        public_sentiment_comment_service = PublicSentimentCommentService()
        public_sentiment_comment_service.save(public_sentiment_comment)
        return item
